{% extends 'Default/backend.html.twig' %}

{% block main_content %}
  <section id="intro" class="container my-4">
    <div class="row">
      <div class="col-lg-12 px-lg-4 py-lg-2">
        <h2>{{ 'recipients.title' | trans() }}</h2>
      </div>

      <div class="col-lg-12 px-lg-4 py-lg-2">
        <table class="table table-striped table-condensed table-sm">
          <thead>
          <tr>
            <th>{{ 'general.nome' | trans() }}</th>
            <th aria-label="{{ 'no_value' | trans() }}" ></th>
          </tr>
          </thead>
          <tbody>
          {% for item in items %}
            <tr>
              <td data-title="Nome">
                <a href="{{ path('admin_recipient_edit', { 'id': item.id }) }}">{{ item.name }}</a>
              </td>
              <td class="text-right w-20">
                <a class="btn btn-secondary btn-xs" href="{{ path('admin_recipient_edit', { 'id': item.id }) }}">
                  <svg class="icon icon-sm icon-white">
                    <use xlink:href="/bootstrap-italia/dist/svg/sprite.svg#it-pencil"></use>
                  </svg>
                  <span class="d-none d-md-inline-block">{{ 'modifica'|trans }}</span></a>
                </a>
                <a class="btn btn-danger btn-xs"
                   onclick="return confirm('{{ 'general.alert_elimina'|trans() }}');"
                   href="{{ path('admin_recipient_delete', { 'id': item.id }) }}">
                  <svg class="icon icon-sm icon-white">
                    <use xlink:href="/bootstrap-italia/dist/svg/sprite.svg#it-delete"></use>
                  </svg>
                  <span class="d-none d-md-inline-block">{{ 'elimina'|trans }}</span></a></a>
              </td>
            </tr>
          {% endfor %}
          </tbody>
        </table>
        <a class="btn btn-primary" href="{{ path('admin_recipient_new') }}">{{ 'aggiungi' | trans() }}</a>
      </div>
    </div>
  </section>
{% endblock %}
